Underconstruction#
Warning
Deprecation Notice for Vulcan API v1 - We are deprecating Vulcan API v1 to concentrate on the improved functionality of newer versions. V1 will no longer receive new features or enhancements.
New Integrations: Please use Vulcan API v2.
Existing v1 Users: We encourage you to migrate to v2.
SynMax will provide migration guides and proactive support to assist with your transition.
Get under construction datacenters with filtering and aggregation
Endpoint#
GET |
https://vulcan.api.synmax.com/beat-ms/api/v1/underconstruction |
Request Examples#
curl -X GET "https://vulcan.api.synmax.com/beat-ms/api/v1/underconstruction" \
-H "Access-Key: $API_TOKEN"
from synmax.vulcan.v1 import VulcanApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
vulcan_api_client = VulcanApiClient(access_token=SYNMAX_ACCESS_TOKEN)
underconstruction_resp = vulcan_api_client.underconstruction()
underconstruction_df = underconstruction_resp.df()
underconstruction_df.head()
Response#
Parameters |
Type |
Description |
Example |
|---|---|---|---|
code |
string |
Unique code for the api response |
[AT54U] |
column_name |
string |
_ |
plant_it |
type |
string |
_ |
INTEGER |
balancing_authority_code |
string |
EIA balancing authority responisble for grid reliability in plant’s service area |
SWPP |
construction_start |
string |
Start date of construction for a given plant |
2025-03-09T00:00:00Z |
eia_false_negative |
boolean |
_ |
False |
eia_false_positive |
boolean |
_ |
True |
eia_minus_vulcan_earliest |
integer |
The difference in days between the EIA online date and the Vulcan earliest date |
108 |
eia_minus_vulcan_latest |
integer |
The difference in days between the EIA online date and the Vulcan latest date |
-1155 |
eia_online_date |
string |
The EIA online month and year with each date assigned to the 15th of the given month to normalize data. |
2026-05-15T00:00:00Z |
eia_status |
string |
EIA plants operational status, or its stage of construction |
|
entity_name |
string |
EIA plant operating entity |
1000 Mile Solar, LLC |
generator_id |
string |
EIA ID given to each generator for a given plant |
PV1 |
image_dates |
string |
Date of the latest available satellite image |
2025-04-14T00:00:00Z |
latitude |
number |
EIA plant latitude |
33.0225 |
longitude |
number |
EIA plant longitude |
-102.709 |
nameplate_capacity_mw |
number |
EIA plant generator capacity in megawatts (MW) |
200.0 |
notes |
string |
Observations or relevant plant comments after reviewing satellite images |
land cleared |
permission |
string |
Indicates if a plant has been observed to be under construction |
1 |
planned_operation_month |
integer |
EIA reported operation month |
7 |
planned_operation_year |
integer |
EIA reported operation year |
2026 |
plant_id |
string |
EIA plant id |
68847 |
plant_name |
string |
EIA plant name |
1000 Mile Solar |
plant_state |
string |
EIA plant state |
TX |
technology |
string |
EIA primary generation technology |
Solar Photovoltaic |
total_generators |
integer |
Count of generators for a given plant id |
2 |
vulcan_construction_status |
string |
Indicates if a plant has been observed to be under construction |
Confirmed |
vulcan_earliest_online |
string |
The earliest possible date a plant is projected to be operational |
2024-02-07T00:00:00Z |
vulcan_earliest_plus_7 |
string |
The earliest possible date a plant could be operational if construction were to start 1 week after the last update. |
2026-01-27T00:00:00Z |
vulcan_latest_online |
string |
The latest possible date a plant is projected to be operational |
2027-07-24T00:00:00Z |
vulcan_status_change_date |
string |
Date of which a plants status was changed to under construction |
2025-06-03T00:00:00Z |
vulcan_tech |
string |
The generalized technology assigned by Vulcan. Used to estimate construction times |
Solar |
request |
string |
The api requested. |
_ |
status |
boolean |
The status of the api request (true or false). |
True |
timestamp |
string |
The timestamp of the api request. |
2025-04-28T12:34:56Z |